#!/usr/bin/perl -w
use strict;

my $regex_comment = qr"/\*\@[^\@]*\@\*/";

$/ = undef;
my $t = <>;

# delete lines consisting only of SPlint comments
$t =~ s,(?<=\n)[ \t]*(?:${regex_comment}[ \t]*)+\n,,g;

# delete SPlint annotations for functions
$t =~ s,\)\s*(?:${regex_comment}\s*)+;,);,g;

# delete SPlint comments and a possible trailing space
$t =~ s,${regex_comment}[ \t]?,,g;

print $t;
